<!--
-- LayoutHeader.vue, emilien <emilien@emilien-pc>, 2021
-->

<template>
	<div class="ui-header mt-3">
		<div v-if="backlink" class="ui-backlink flex gap-0-5 center-align" @click="$router.go(-1)">
			<div class="i i-arrow" />
			<span>{{ backlink }}</span>
		</div>
		<h2 class="mb">{{ title }}</h2>
		<p class="lead md text-center">
			{{ desc }}
		</p>
	</div>
</template>

<script>
export default {
	name: 'LayoutHeader',
	props: {
		title: String,
		desc: String,
		backlink: String
	}
};
</script>

<style lang="scss" scoped>

.ui-backlink {
	position: absolute;
	top: 1rem;
	pointer: cursor;
	color: white;

}

.ui-header {
	text-align: center;

	>p {
		margin: 0 4vw;
	}
}
</style>

